airavata-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From machris...@apache.org
Subject airavata-django-portal git commit: Adding script to run all JS builds
Date Wed, 27 Sep 2017 19:31:42 GMT
Repository: airavata-django-portal
Updated Branches:
  refs/heads/master 840789b5f -> 6beb49f2c


Adding script to run all JS builds


Project: http://git-wip-us.apache.org/repos/asf/airavata-django-portal/repo
Commit: http://git-wip-us.apache.org/repos/asf/airavata-django-portal/commit/6beb49f2
Tree: http://git-wip-us.apache.org/repos/asf/airavata-django-portal/tree/6beb49f2
Diff: http://git-wip-us.apache.org/repos/asf/airavata-django-portal/diff/6beb49f2

Branch: refs/heads/master
Commit: 6beb49f2c74441f03f3205666924077d0f49c319
Parents: 840789b
Author: Marcus Christie <machrist@iu.edu>
Authored: Wed Sep 27 15:31:21 2017 -0400
Committer: Marcus Christie <machrist@iu.edu>
Committed: Wed Sep 27 15:31:21 2017 -0400

----------------------------------------------------------------------
 build_js.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/airavata-django-portal/blob/6beb49f2/build_js.sh
----------------------------------------------------------------------
diff --git a/build_js.sh b/build_js.sh
new file mode 100755
index 0000000..2206f5b
--- /dev/null
+++ b/build_js.sh
@@ -0,0 +1,12 @@
+
+# Get the directory that this script is in
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+echo -e "Running production JS bulids"
+cd $SCRIPT_DIR/django_airavata && npm run build || exit 1
+cd $SCRIPT_DIR/django_airavata/apps/admin && npm run build || exit 1
+cd $SCRIPT_DIR/django_airavata/apps/workspace && npm run build || exit 1
+
+echo -e "All builds finished successfully!"
+
+exit 0


Mime
View raw message